public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/spark-bin/
Date: Thu, 26 Nov 2020 15:55:15 +0000 (UTC)	[thread overview]
Message-ID: <1606406111.234b6049891c7e1067d8700169c7c7072951b894.monsieurp@gentoo> (raw)

commit:     234b6049891c7e1067d8700169c7c7072951b894
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 26 15:29:14 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Nov 26 15:55:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=234b6049

sys-cluster/spark-bin: do not install Hadoop JARs.

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 sys-cluster/spark-bin/Manifest                  |  1 +
 sys-cluster/spark-bin/spark-bin-3.0.1-r2.ebuild | 73 +++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/sys-cluster/spark-bin/Manifest b/sys-cluster/spark-bin/Manifest
index 2d784a7f4ee..dab23c007af 100644
--- a/sys-cluster/spark-bin/Manifest
+++ b/sys-cluster/spark-bin/Manifest
@@ -2,4 +2,5 @@ DIST spark-bin-2.4.3-scala211.tgz 163128705 BLAKE2B 806964eb226aac2b4a63691b2644
 DIST spark-bin-2.4.3-scala212.tgz 141465231 BLAKE2B e29b534076b981e340833da0b6d93b8f2708a7919abfcd06f057ced6e7bb56f1140fab9d82ca157b4c7bd3aac9004d51fdfc0f8446cd9231e64e26236c2fb793 SHA512 e9651dfad8b6be162f800de987981e1b027d372e4391340589cdc23c7e579a8ec28cb950aa4aad7797ecfc330f0375844cc769a6ad5b35bac36b8cf404805c08
 DIST spark-bin-2.4.7-scala211.tgz 168360525 BLAKE2B 9a8728a1c7450166d4d9635ff1be6a65d57df1832945672e92044e0fc88ef152e7e870d02ec590378ea97a47d4a68568da73e6a1e92f8eaaaa06f495ed9939ad SHA512 ff75e6db3c4ca5cece2a8a26ad7bd8a2c1c46b4f93e8f2922a31e6a8d98274bedc66bef3e469e862d249c5439355ccca83687a20d536a8400f2c058be553df57
 DIST spark-bin-2.4.7-scala212.tgz 146775712 BLAKE2B f0381e6aebeae90990d5ad19d8db923efd01e9b215ddfe34e34a8272942e57fe7ec6a53208146006ba5c4e76f8e44d202e0715f63b559cc8749b523710b92a5f SHA512 708a702af5c754dba0137c88e3c7055d7759593f013798755468638b6fdc583a707aae4c2a4e14648f91c16b963f9bba9f8c44d28341c08c4512590a425f70a8
+DIST spark-bin-3.0.1-nohadoop.tgz 156390722 BLAKE2B 9ac4645759ca0ec6d1501dfa79d149b9cbf49dee1c4b9dcf38f62490d3ad91db01ad61d9d6b1ef4dd7bcb81a868cb58b9251575dded823c8415801d10571afee SHA512 07fc6df224f303ef53189e6082004400d51cd6c2244d1851d90eabbe58404a69ff980bffe147a5259a34190e1e1c974c72d02470d10a783d2d87f43a8da0850b
 DIST spark-bin-3.0.1.tgz 219929956 BLAKE2B dd53df1e0123feae5b69f97193d1edc647bd4802ab78c54e471ed54b3ae6eee32ace51e379569f4947599d24aba5af63b401c11ef2af6234ffc6ac1afbbe275f SHA512 f4a10baec5b8ff1841f10651cac2c4aa39c162d3029ca180a9749149e6060805b5b5ddf9287b4aa321434810172f8cc0534943ac005531bb48b6622fbe228ddc

diff --git a/sys-cluster/spark-bin/spark-bin-3.0.1-r2.ebuild b/sys-cluster/spark-bin/spark-bin-3.0.1-r2.ebuild
new file mode 100644
index 00000000000..aa75467add1
--- /dev/null
+++ b/sys-cluster/spark-bin/spark-bin-3.0.1-r2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit java-pkg-2
+
+DESCRIPTION="Lightning-fast unified analytics engine"
+HOMEPAGE="https://spark.apache.org"
+SRC_URI="mirror://apache/spark/spark-${PV}/spark-${PV}-bin-without-hadoop.tgz -> ${P}-nohadoop.tgz"
+
+LICENSE="Apache-2.0"
+SLOT="3"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=virtual/jre-1.8"
+
+DEPEND="
+	>=virtual/jdk-1.8"
+
+S="${WORKDIR}/spark-${PV}-bin-without-hadoop"
+
+DOCS=( LICENSE NOTICE README.md RELEASE )
+
+# Nothing to compile here.
+src_compile() { :; }
+
+src_install() {
+	dodir usr/lib/spark-${SLOT}
+	into usr/lib/spark-${SLOT}
+
+	local SPARK_SCRIPTS=(
+		bin/beeline
+		bin/load-spark-env.sh
+		bin/pyspark
+		bin/spark-class
+		bin/spark-shell
+		bin/spark-sql
+		bin/spark-submit
+	)
+
+	local s
+	for s in "${SPARK_SCRIPTS[@]}"; do
+		ebegin "Setting SPARK_HOME to /usr/lib/spark-${SLOT} in $(basename ${s}) script ..."
+		sed -i -e "2iSPARK_HOME=/usr/lib/spark-${SLOT}" "${s}"
+		eend $?
+		dobin "${s}"
+	done
+
+	insinto usr/lib/spark-${SLOT}
+
+	local SPARK_DIRS=( conf jars python sbin yarn )
+
+	local d
+	for d in "${SPARK_DIRS[@]}"; do
+		doins -r "${d}"
+	done
+
+	einstalldocs
+}
+
+pkg_postinst() {
+	einfo
+	einfo "Spark is now slotted. You have installed Spark ${SLOT}."
+	einfo
+	einfo "Make sure to add /usr/lib/spark-${SLOT}/{bin,sbin} directories"
+	einfo "to your PATH in order to run Spark shell scripts:"
+	einfo
+	einfo "$ export PATH=\$PATH:/usr/lib/spark-${SLOT}/bin"
+	einfo "$ export PATH=\$PATH:/usr/lib/spark-${SLOT}/sbin"
+	einfo
+}


             reply	other threads:[~2020-11-26 15:55 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-26 15:55 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-23  6:04 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/spark-bin/ Miroslav Šulc
2024-11-26 15:19 Miroslav Šulc
2024-11-14  9:21 Miroslav Šulc
2024-08-15 13:43 Miroslav Šulc
2021-09-21  7:03 Joonas Niilola
2020-12-15  9:14 Patrice Clement
2020-12-10 17:50 Patrice Clement
2020-12-10 16:45 Patrice Clement
2020-11-26 15:55 Patrice Clement
2020-11-26 15:55 Patrice Clement
2020-11-26 15:55 Patrice Clement
2020-11-26 15:55 Patrice Clement
2020-11-26 15:55 Patrice Clement
2020-11-26 14:10 Patrice Clement
2020-11-26 14:06 Patrice Clement
2020-11-26 14:06 Patrice Clement
2020-11-26 11:10 Patrice Clement
2020-11-26 11:10 Patrice Clement
2020-11-24 16:27 Patrice Clement
2020-11-24 16:27 Patrice Clement
2020-10-02  7:32 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-04-17  8:08 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2019-11-13 15:05 Joonas Niilola
2019-11-13 15:05 Joonas Niilola
2019-10-16  5:22 Joonas Niilola
2019-10-16  5:22 Joonas Niilola
2019-05-17 16:36 Patrice Clement
2018-11-05 22:47 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606406111.234b6049891c7e1067d8700169c7c7072951b894.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox